# boost::numeric::ublas::scalar_value< T > Class Template Reference

Inherits scalar_expression< scalar_value< T > >.

List of all members.

## Public Types

typedef T | value_type
typedef const value_type & | const_reference
typedef boost::mpl::if_ < boost::is_const< T > , const_reference, value_type & > ::type | reference
typedef const scalar_reference < const self_type > | const_closure_type
typedef scalar_reference < self_type > | closure_type

## Public Member Functions

BOOST_UBLAS_INLINE | scalar_value (const value_type &t)
BOOST_UBLAS_INLINE | operator value_type () const
BOOST_UBLAS_INLINE scalar_value & | operator= (const scalar_value &s)
template<class AE >
BOOST_UBLAS_INLINE scalar_value & | operator= (const scalar_expression< AE > &ae)
BOOST_UBLAS_INLINE bool | same_closure (const scalar_value &sv) const

### template<class T>
class boost::numeric::ublas::scalar_value< T >